import QtQuick 1.1
import QtWebKit 1.0
import com.nokia.meego 1.0

Page {
    id:lastTrainPage
    orientationLock: PageOrientation.LockPortrait

    tools: ToolBarLayout {
        id: toolBarLayout
        ToolIcon { iconId: "toolbar-back"; onClicked: { mainMenu.close(); pageStack.pop(); } }

        ButtonRow {
            platformStyle: TabButtonStyle { }

            TabButton {
                id:line1
                text:"1"
                checked: true
                onClicked: {
                    scheduleView.url ="line1.html"
                    line1.checked = true
                    line2.checked = false
                    line4.checked = false
                    line4a.checked = false
                    line5.checked = false
                }
            }

            TabButton {
                id:line2
                text:"2"
                onClicked: {
                    scheduleView.url ="line2.html"
                    line1.checked = false
                    line2.checked = true
                    line4.checked = false
                    line4a.checked = false
                    line5.checked = false
                }
            }

            TabButton {
                id:line4
                text:"4"
                onClicked: {
                    scheduleView.url ="line4.html"
                    line1.checked = false
                    line2.checked = false
                    line4.checked = true
                    line4a.checked = false
                    line5.checked = false
                }
            }

            TabButton {
                id:line4a
                text:"4A"
                onClicked: {
                    scheduleView.url ="line4a.html"
                    line1.checked = false
                    line2.checked = false
                    line4.checked = false
                    line4a.checked = true
                    line5.checked = false
                }
            }

            TabButton {
                id:line5
                text:"5"
                onClicked: {
                    scheduleView.url ="line5.html"
                    line1.checked = false
                    line2.checked = false
                    line4.checked = false
                    line4a.checked = false
                    line5.checked = true
                }
            }

        }


        ToolIcon {
            iconId: "toolbar-view-menu"
            onClicked: (mainMenu.status == DialogStatus.Closed) ? mainMenu.open() : mainMenu.close()
            anchors.right: parent==undefined ? undefined : parent.right
        }
    }

    Rectangle {
            id:header
            width:parent.width
            height: 72
            z:10
            color:"#247800"

            Item {
                anchors.verticalCenter: parent.verticalCenter
                height: headerName.height + headerSubject.height

                Label {
                    id:headerName
                    color:"#fff"
                    text:"Último Tren"
                    anchors.left: parent.left
                    anchors.leftMargin: 16
                    anchors.top: parent.top
                    anchors.topMargin: 0
                    font.pixelSize: 32
                    font.weight: Font.Normal
                    font.family: "Nokia Pure Text"
                    lineHeightMode: Text.FixedHeight
                    lineHeight: font.pixelSize * 1.1
                }
                Label {
                    id:headerSubject
                    color:"#fff"
                    text:"Seleccione una línea para ver horarios"
                    anchors.left: parent.left
                    anchors.leftMargin: 16
                    anchors.top: headerName.bottom
                    anchors.topMargin: 0
                    font.pixelSize: 18
                    font.weight: Font.Normal
                    font.family: "Nokia Pure Text"
                    lineHeightMode: Text.FixedHeight
                    lineHeight: font.pixelSize * 1.1
                }

            }
        }

    Flickable  {
        id:flickable
        width: parent.width
        height: parent.height - 72
        anchors.bottom: parent.bottom
        anchors.topMargin:0
        contentWidth: Math.max(parent.width,scheduleView.width)
        contentHeight: Math.max(parent.height,scheduleView.height)

        WebView {
            id: scheduleView
            url: "line1.html"
            preferredWidth: flickable.width
            preferredHeight: flickable.height
            scale: 1
            smooth: true
        }
    }

    ScrollDecorator {
        flickableItem: flickable
    }
}
