function DbManager () {
    this.db = null;
    this.initialize();
}

DbManager.prototype.initialize = function() {
    this.getDatabase();
    this.createTables();

    if(this.checkDB()) {
        this.initializeLinesData();
    }
}

DbManager.prototype.getDatabase = function(){
    this.db = openDatabaseSync("Metro42", "1.0", "MetroGo DB", 1000000);
    return true;
}

DbManager.prototype.checkDB = function() {
    var check = true;
    this.db.transaction(
        function(tx) {
            var rs = tx.executeSql('SELECT * FROM lines;');
                if (rs && rs.rows && rs.rows.length > 0) {
                    check =  false
                } else {
                    check = true
                }
            });
    return check;
}

// Create Tables

DbManager.prototype.createTables = function () {
    var tableExist = false
    var res = this;
    this.db.transaction(
        function(tx) {
            tx.executeSql('CREATE TABLE IF NOT EXISTS Lines(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,letterline TEXT, name TEXT, subject TEXT, orientation TEXT, timetravel TEXT, notes TEXT, color TEXT, foreground TEXT, frecuency TEXT, frecuencySat TEXT, frecuencySun TEXT )');
            tx.executeSql('CREATE TABLE IF NOT EXISTS Stations(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, line_id INTEGER, letterline TEXT, icon TEXT, name TEXT, address TEXT, notes TEXT, combination1_id INTEGER, combinationMessage1 TEXT, combination2_id INTEGER, combinationMessage2 TEXT, lat TEXT, long TEXT)');
        });
}

// Populate DB

DbManager.prototype.initializeLinesData = function() {
    this.db.transaction(
        function(tx) {
            var rs = tx.executeSql('SELECT * FROM lines WHERE id=1');
                if (!(rs.rows.length > 0)) {
                    tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)', [ 1,'1.png','Línea 1','San Pablo - Los Dominicos', 'De Poniente a Oriente','44 min.','','#ee081b','#ffffff','0 min.','0 min.','0 min.' ]);
                    tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)', [ 2,'2.png','Línea 2','Vespucio Norte - La Cisterna','De Norte a sur','31 min.','','#ff6600','#ffffff','0 min.','0 min.','0 min.' ]);
                    tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)', [ 3,'4.png','Línea 4','Tobalaba  - Plaza de Puente Alto','De Nororiente a Suroriente','35 min.','','#1e4f9c','#ffffff','0 min.','0 min.','0 min.' ]);
                    tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)', [ 4,'4a.png','Línea 4A','La Cisterna - Vicuña Mackenna','De Sur a Suroriente','11 min.','','#0099dd','#ffffff','0 min.','0 min.','0 min.' ]);
                    tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?)', [ 5,'5.png','Línea 5','Plaza de Maipú - Vicente Valdés','De Surponiente a Suroriente','46 min.','','#00b100','#ffffff','0 min.','0 min.','0 min.' ]);


                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 1,1,'1.png','top1.png','San Pablo','Av. Neptuno 720','','5','Ir a Línea 5','0','0','-33.445308', '-70.723139' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 2,1,'1.png','normal1.png','Neptuno','Av. Neptuno 260','','0','0','0','0','-33.451168', '-70.723098' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 3,1,'1.png','normal1.png','Pajaritos ','Av. Gral. O Bonilla esq. Santa Marta','','0','0','0','0','-33.457394', '-70.715978' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 4,1,'1.png','normal1.png','Las Rejas','Av. Lib. B. O´Higgins esq. Av. Las Rejas','','0','0','0','0','-33.457400', '-70.706993' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 5,1,'1.png','normal1.png','Ecuador','Av. Lib. Bernardo O´Higgins 4700','','0','0','0','0','-33.455700', '-70.699361' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 6,1,'1.png','normal1.png','San Alberto Hurtado','Av. Lib. Bernardo O´Higgins 4100','','0','0','0','0','-33.454100', '-70.692400' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 7,1,'1.png','normal1.png','Universidad de Santiago','Av. Lib. Bernardo O´Higgins 3700','','0','0','0','0','-33.452772', '-70.686019' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 8,1,'1.png','normal1.png','Estación Central','Av. Lib. Bernardo O´Higgins 3200','','0','0','0','0','-33.450831', '-70.667269' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 9,1,'1.png','normal1.png','Unión Latinoamericana','Av. Lib. Bernardo O´Higgins 2800','','0','0','0','0','-33.449450', '-70.673600' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 10,1,'1.png','normal1.png','República','Av. Lib. Bernardo O´Higgins 2100','','0','0','0','0','-33.447704', '-70.667569' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 11,1,'1.png','normal1_2.png','Los Héroes','Av. Lib. Bernardo O´Higgins 1700','','2','Ir a Línea 2','0','0','-33.446169', '-70.660442' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 12,1,'1.png','normal1.png','La Moneda','Av. Lib. B. O´Higgins 1300','','0','0','0','0','-33.445028', '-70.655667' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 13,1,'1.png','normal1.png','Universidad de Chile','Avenida Lib. B. O´Higgins esq. A. Prat',' ','0','0','0','0','-33.44375', '-70.650344' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 14,1,'1.png','normal1.png','Santa Lucía','Av. Lib. B. O´Higgins esq. Miraflores','','0','0','0','0','-33.442611', '-70.645111' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 15,1,'1.png','normal1.png','Universidad Católica','Av. Lib. B. O´Higgins esq. Av. Portugal',' ','0','0','0','0','-33.439750', '-70.640386' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 16,1,'1.png','normal1_5.png','Baquedano','Av. Lib. B. O´Higgins esq. Av. V. Mackenna','','5','Ir a Línea 5','0','0','-33.437400', '-70.635050' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 17,1,'1.png','normal1.png','Salvador','Av. Providencia 650','','0','0','0','0','	-33.432656', '-70.626086' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 18,1,'1.png','normal1.png','Manuel Montt','Av. Providencia esq. Av. Manuel Montt','','0','0','0','0','-33.428569', '-70.619811' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 19,1,'1.png','normal1.png','Pedro de Valdivia','Av. 11 de Septiembre esq. C. Antúnez','','0','0','0','0','-33.425419', '-70.614483' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 20,1,'1.png','normal1.png','Los Leones','Av. 11 de Septiembre 2200','','0','0','0','0','-33.421719', '-70.609667' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 21,1,'1.png','normal1_4.png','Tobalaba','Av. Apoquindo esq. Av. Tobalaba','','3','Ir a Línea 4','0','0','-33.418139', '-70.601642' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 22,1,'1.png','normal1.png','El Golf','Av. Apoquindo 3200','','0','0','0','0','-33.416439', '-70.595922' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 23,1,'1.png','normal1.png','Alcántara','Av. Apoquindo 3900','','0','0','0','0','-33.415339', '-70.589528' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 24,1,'1.png','normal1.png','Escuela Militar','Av. Apoquindo 4500','','0','0','0','0','-33.414267', '-70.58465' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 25,1,'1.png','normal1.png','Manquehue','Av. Apoquindo 5600','','0','0','0','0','-33.408483', '-70.567183' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 26,1,'1.png','normal1.png','Hernando de Magallanes','Av. Apoquindo 7100','','0','0','0','0','-33.407750', '-70.556111' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 27,1,'1.png','bottom1.png','Los Dominicos','Av. Apoquindo 8500','','0','0','0','0','-33.407900', '-70.545106' ]);

                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 28,2,'2.png','top2.png','Vespucio Norte','Av. Américo Vespucio Norte 750','','0','0','0','0','-33.381161', '-70.644528' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 29,2,'2.png','normal2gr.png','Zapadores','Av. Recoleta 3700','','0','0','0','0','-33.390892', '-70.642469' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 30,2,'2.png','normal2r.png','Dorsal','Av. Dorsal 650','','0','0','0','0','-33.396950', '-70.642950' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 31,2,'2.png','normal2g.png','Einstein','Av. Einstein 600','','0','0','0','0','-33.405600', '-70.643400' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 32,2,'2.png','normal2r.png','Cementerios','Av. Recoleta 1500','','0','0','0','0','-33.413900', '-70.643686' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 33,2,'2.png','normal2g.png','Cerro Blanco','Av. Recoleta 850','','0','0','0','0','-33.422017', '-70.644942' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 34,2,'2.png','normal2r.png','Patronato','Av. Recoleta esq. Santa Filomena','','0','0','0','0','-33.429603', '-70.647255' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 35,2,'2.png','normal2gr.png','Cal y Canto','General Mackenna 1100','','0','0','0','0','-33.432892', '-70.652190' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 36,2,'2.png','normal2_5.png','Santa Ana','Catedral 1600','','5','Ir a Línea 5','0','0','-33.438153', '-70.659914' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 37,2,'2.png','normal2_1.png','Los Heroes','Av. Lib. Bernardo O´Higgins 1800','','1','Ir a Línea 1','0','0','-33.446169', '-70.660442' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 38,2,'2.png','normal2g.png','Toesca','Toesca 1600','','0','0','0','0','-33.452911', '-70.658581' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 39,2,'2.png','normal2r.png','Parque O´Higgins','Av. Manuel Antonio Matta 1650','','0','0','0','0','-33.460347', '-70.656772' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 40,2,'2.png','normal2gr.png','Rondizzoni','Av. General Rondizzoni 1650','','0','0','0','0','-33.469664', '-70.656336' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 41,2,'2.png','normal2g.png','Franklin','Placer 1300','','0','0','0','0','-33.475822', '-70.649392' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 42,2,'2.png','normal2r.png','El Llano','Gran Avenida José Miguel Carrera 3000','','0','0','0','0','-33.482694', '-70.64975' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 43,2,'2.png','normal2g.png','San Miguel','Gran Avenida José Miguel Carrera 3700','','0','0','0','0','-33.488803', '-70.651083' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 44,2,'2.png','normal2r.png','Lo Vial','Gran Avenida José Miguel Carrera 4600','','0','0','0','0','-33.496903', '-70.653100' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 45,2,'2.png','normal2g.png','Departamental','Gran Avenida José Miguel Carrera 5300','','0','0','0','0','-33.502406', '-70.6546' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 46,2,'2.png','normal2r.png','Ciudad del Niño','Gran Avenida José Miguel Carrera 5900','','0','0','0','0','-33.509533', '-70.656639' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 47,2,'2.png','normal2gr.png','Lo Ovalle','Gran Avenida José Miguel Carrera 6500','','0','0','0','0','-33.517400', '-70.659000' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 48,2,'2.png','normal2g.png','El Parrón','Gran Avenida José Miguel Carrera 7900','','0','0','0','0','-33.526469', '-70.661583' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 49,2,'2.png','bottom2.png','La Cisterna','Gran Avenida José Miguel Carrera 9000','','4','Ir a Línea 4A','0','0','-33.537378', '-70.664397' ]);

                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 50,3,'4.png','top4.png','Tobalaba','Av. Tobalaba esq. Av. Providencia','','1','Ir a Línea 1','0','0','-33.418139', '-70.601642' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 51,3,'4.png','normal4g.png','Cristóbal Colón','Av. Tobalaba 1200','','0','0','0','0','-33.426353', '-70.591100' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 52,3,'4.png','normal4gr.png','Francisco Bilbao','Av. Tobalaba 2100','','0','0','0','0','-33.431811', '-70.584764' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 53,3,'4.png','normal4r.png','Príncipe de Gales','Av. Tobalaba 6000','','0','0','0','0','-33.439036', '-70.572411' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 54,3,'4.png','normal4g.png','Simón Bolívar','Av. Ossa Poniente 800','','0','0','0','0','	-33.445886', '-70.572028' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 55,3,'4.png','normal4gr.png','Plaza Egaña','Av. A. Vespucio Oriente esq. Irrarázaval','','0','0','0','0','-33.453411', '-70.570753' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 56,3,'4.png','normal4r.png','Los Orientales','Av. Américo Vespucio Oriente 1000','','0','0','0','0','-33.462372', '-70.573750' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 57,3,'4.png','normal4g.png','Grecia','Av. Grecia 5700','','0','0','0','0','-33.469158', '-70.576481' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 58,3,'4.png','normal4r.png','Los Presidentes','Av. Américo Vespucio Oriente 2500','','0','0','0','0','-33.477100', '-70.578669' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 59,3,'4.png','normal4g.png','Quilín','Av. Américo Vespucio Sur 3300','','0','0','0','0','-33.487922', '-70.580333' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 60,3,'4.png','normal4r.png','Las Torres','Av. Américo Vespucio Sur 4600','','0','0','0','0','-33.49885', '-70.586336' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 61,3,'4.png','normal4gr.png','Macul','Av. Macul 5900','','0','0','0','0','-33.509258', '-70.590072' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 62,3,'4.png','normal4_4a.png','Vicuña Mackenna','Av. Américo Vespucio Sur 7800','','4','Ir a Línea 4A','0','0','-33.519675', '-70.596167' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 63,3,'4.png','normal4_5.png','Vicente Valdés','Av. Vicuña Mackenna 7800','','5','Ir a Línea 5','0','0','-33.526514', '-70.596764' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 64,3,'4.png','normal4g.png','Rojas Magallanes','Av. V. Mackenna esq. Rojas Magallanes','','0','0','0','0','-33.536278', '-70.592675' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 65,3,'4.png','normal4r.png','Trinidad','Av. Vicuña Mackenna esq. Trinidad','','0','0','0','0','-33.545986', '-70.588281' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 66,3,'4.png','normal4g.png','San José de la Estrella','Av. Vicuña Mackenna 10300','','0','0','0','0','-33.553597', '-70.586558' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 67,3,'4.png','normal4r.png','Los Quillayes','Av. Vicuña Mackenna esq. María Elena','','0','0','0','0','-33.561314', '-70.585314' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 68,3,'4.png','normal4gr.png','Elisa Correa','Av. Concha y Toro esq. Elisa Correa','','0','0','0','0','-33.569383', '-70.583833' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 69,3,'4.png','normal4gr.png','Hospital Sótero del Río','Av. Concha y Toro 3400','','0','0','0','0','-33.576936', '-70.582358' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 70,3,'4.png','normal4g.png','Protectora de la Infancia','Av. Concha y Toro esq. Ángel Pimentel','','0','0','0','0','-33.589717', '-70.579872' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 71,3,'4.png','normal4r.png','Las Mercedes','Av. Concha y Toro 1100','','0','0','0','0','-33.601575', '-70.57745' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 72,3,'4.png','bottom4.png','Plaza de Puente Alto','Av. Concha y Toro 150','','0','0','0','0','-33.609200', '-70.576000' ]);

                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 73,4,'4a.png','top4a.png','La Cisterna','Gran Avenida José Miguel Carrera 9000','','2','Ir a Línea 2','0','0','-33.537378', '-70.664397' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 74,4,'4a.png','normal4a.png','San Ramón','Av. Américo Vespucio 1700','','0','0','0','0','-33.541169', '-70.643272' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 75,4,'4a.png','normal4a.png','Santa Rosa','Av. Santa Rosa 8900','','0','0','0','0','-33.542392', '-70.634197' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 76,4,'4a.png','normal4a.png','La Granja','Av. Américo Vespucio Sur 700','','0','0','0','0','-33.541175', '-70.616092' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 77,4,'4a.png','normal4a.png','Santa Julia','Av. Américo Vespucio 8200','','0','0','0','0','-33.531192', '-70.605603' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 78,4,'4a.png','bottom4a.png','Vicuña Mackenna','Av. Américo Vespucio 7800','','3','Ir a Línea 4','0','0','-33.519675', '-70.596167' ]);

                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 79,5,'5.png','top5.png','Plaza de Maipú','Av. Pajaritos esq. Av. 5 de Abril','','0','0','0','0','-33.510300', '-70.756975' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 80,5,'5.png','normal5gr.png','Santiago Bueras','Av. Pajaritos esq. Rafael Riesco','','0','0','0','0','-33.496975', '-70.757092' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 81,5,'5.png','normal5gr.png','Del Sol','Av. Pajaritos esq. Américo Vespucio','','0','0','0','0','-33.489992', '-70.752956' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 82,5,'5.png','normal5gr.png','Monte Tabor','Av. Pajaritos esq. Monte Tabor','','0','0','0','0','-33.482242', '-70.745439' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 83,5,'5.png','normal5gr.png','Las Parcelas','Av. Pajaritos y Av. Longitudinal','','0','0','0','0','-33.475231', '-70.739967' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 84,5,'5.png','normal5gr.png','Laguna Sur','Teniente Cruz esq. Laguna Sur','','0','0','0','0','-33.462353', '-70.737919' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 85,5,'5.png','normal5gr.png','Barrancas','Teniente Cruz esq. General Bonilla','','0','0','0','0','-33.452500', '-70.739411' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 86,5,'5.png','normal5gr.png','Pudahuel','San Pablo esq. Av. Teniente Cruz','','0','0','0','0','-33.444942', '-70.741053' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 87,5,'5.png','normal5_1.png','San Pablo','Av. Neptuno 720','','1','Ir a Línea 1','0','0','-33.445308', '-70.723139' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 88,5,'5.png','normal5g.png','Lo Prado','Av. San Pablo 5900','','0','0','0','0','-33.443161', '-70.716828' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 89,5,'5.png','normal5r.png','Blanqueado','Av. San Pablo 5200','','0','0','0','0','-33.441119', '-70.706828' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 90,5,'5.png','normal5g.png','Gruta de Lourdes','Av. San Pablo 4100','','0','0','0','0','-33.437800', '-70.691400' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 91,5,'5.png','normal5gr.png','Quinta Normal','Av. Matucana 500','','0','0','0','0','-33.440094', '-70.680311' ]);
                    //tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 92,5,'5.png','normal5.png','Libertad','Catedral esq. Libertad','','0','0','0','0','-34.6262','-58.4566' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 93,5,'5.png','normal5r.png','Cumming','Catedral 2200','','0','0','0','0','-33.438905', '-70.668639' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 94,5,'5.png','normal5_2.png','Santa Ana','Catedral 1600','','2','Ir a Línea 2','0','0','-33.438153', '-70.659914' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 95,5,'5.png','normal5gr.png','Plaza de Armas','Plaza de Armas 450','','0','0','0','0','-33.437733', '-70.650456' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 96,5,'5.png','normal5g.png','Bellas Artes','Monjitas 500','','0','0','0','0','-33.436578', '-70.644411' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 97,5,'5.png','normal5_1.png','Baquedano','Av. Lib. B. O´Higgins esq. Av. V. Mackenna','','1','Ir a Línea 1','0','0','-33.437400', '-70.634892' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 98,5,'5.png','normal5r.png','Parque Bustamante','Av. Francisco Bilbao 80','','0','0','0','0','-33.442772', '-70.631500' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 99,5,'5.png','normal5g.png','Santa Isabel','Santa Isabel 300','','0','0','0','0','-33.446875', '-70.630450' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 100,5,'5.png','normal5gr.png','Irarrázaval','Av. General Bustamante 980','','0','0','0','0','-33.452220', '-70.628989' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 101,5,'5.png','normal5r.png','Ñuble','Carlos Dittborn 700','','0','0','0','0','-33.467000', '-70.624878' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 102,5,'5.png','normal5g.png','Rodrigo de Araya','Av. Vicuña Mackenna 2600','','0','0','0','0','-33.477622', '-70.622292' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 103,5,'5.png','normal5r.png','Carlos Valdovinos','Av. Vicuña Mackenna 3600','','0','0','0','0','-33.486539', '-70.619131' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 104,5,'5.png','normal5g.png','Camino Agrícola','Av. Vicuña Mackenna 4000','','0','0','0','0','-33.491892', '-70.617528' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 105,5,'5.png','normal5r.png','San Joaquín','Av. Vicuña Mackenna 5000','','0','0','0','0','-33.499222', '-70.615972' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 106,5,'5.png','normal5g.png','Pedrero','Av. Vicuña Mackenna 6000','','0','0','0','0','-33.508053', '-70.612369' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 107,5,'5.png','normal5r.png','Mirador','Av. Vicuña Mackenna 6200','','0','0','0','0','-33.513000', '-70.606300' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 108,5,'5.png','normal5gr.png','Bellavista de La Florida','Av. Vicuña Mackenna esq. El Cabildo','','0','0','0','0','-33.519075', '-70.600200' ]);
                    tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 109,5,'5.png','bottom5.png','Vicente Valdés','Av. Vicuña Mackenna 7800','','4','Ir a Línea 4','0','0','-33.526514', '-70.596764' ]);

                    }
                });
    return true;
}

// Queries

DbManager.prototype.getLineData = function() {
    var res="";

    this.db.transaction(
        function(tx) {
            var rs = tx.executeSql('SELECT * FROM lines WHERE id = ?;', [line_id]);;
            if (rs.rows.length > 0) {
                res = rs;
            } else {
                res = "error";
            }
        })
        return res;
}

DbManager.prototype.getLinesData = function() {
    var res="";

    this.db.transaction(
        function(tx) {
            var rs = tx.executeSql('SELECT * FROM lines;');
            if (rs.rows.length > 0) {
                res = rs;
            } else {
                res = "error";
            }
        })
        return res;
}

DbManager.prototype.getStationData = function(station_id) {
    var res="";

    this.db.transaction(
        function(tx) {
        //var rs = tx.executeSql('SELECT * FROM stations WHERE id = ?;', [station_id]);

        var rs = tx.executeSql('SELECT Lines.letterline, Lines.color, Lines.foreground, Stations.name, Stations.address, Stations.combination1_id, Stations.combinationMessage1, Stations.combination2_id, Stations.combinationMessage2, Stations.lat , Stations.long FROM Lines, Stations WHERE Lines.id = Stations.line_id AND Stations.id = ?', [station_id]);



            if (rs.rows.length > 0) {
                res = rs;
            } else {
                res = "error";
            }
        })
        return res;
}

DbManager.prototype.getStationsData = function(line_id) {
    var res="";
    this.db.transaction(

    function(tx) {
        var rs = tx.executeSql('SELECT * FROM stations WHERE line_id = ?;', [line_id]);
        if (rs.rows.length > 0) {
            res = rs;
        } else {
            res = "error";
        }
    })
    return res;
}

DbManager.prototype.getClosestStations = function() {
    var res="";
    this.db.transaction(
             function(tx) {
                 var rs = tx.executeSql('SELECT * FROM Stations;');
                 if (rs.rows.length > 0) {
                     res = rs;
                 } else {
                     res = "error";
                 }
             })
    return res;
}
